﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace TreeMap_SL
{
    public class File : IDiskItem
    {
        private string _name;
        private bool _isSelected;
        private long _size;

        public File(string name, long size)
        {
            this._name = name;
            this._size = size;
        }

        public string Name
        {
            get
            {
                return _name;
            }
        }

        public long Size
        {
            get
            {
                return _size;
            }
        }

        public IEnumerable<IDiskItem> Children
        {
            get { return null; }
        }


        public bool IsSelected
        {
            get
            {
                return _isSelected;
            }
            set
            {
                this._isSelected = value;
            }
        }
    }
}
